Skip to main content
`Ctrl`+`K`

# MatCreateMAIJ

Creates a matrix type providing restriction and interpolation operations for multicomponent problems. It interpolates each component the same way independently. The matrix type is based on `MATSEQAIJ` for sequential matrices, and `MATMPIAIJ` for distributed matrices.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCreateMAIJ(Mat A, PetscInt dof, Mat *maij)

Collective

## Input Parameters

- A - the `MATAIJ` matrix describing the action on blocks

- dof - the block size (number of components per node)

## Output Parameter

- maij - the new `MATMAIJ` matrix

## See Also

Matrices, `Mat`, `MATAIJ`, `MATMAIJ`, `MatMAIJGetAIJ()`, `MatMAIJRedimension()`

## Level

advanced

## Location

src/mat/impls/maij/maij.c

## Examples

src/snes/tutorials/ex48.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages